import { Validators } from '@angular/forms';
import { ValidationMessage } from '../models/advanced';
import { SmzControlTypes, SmzDropDownControl, SmzLinkedDropDownControl } from '../models/control-types';
import { SmzTemplate } from '../../../common/models/templates';
import { SmzFormsDropdownService } from './smz-forms-dropdown.service';
import { SmzForm } from '../models/smz-forms';
import { SmzFormsVisibilityService } from './smz-forms-visibility.service';
import * as i0 from "@angular/core";
export declare class SmzFormsManagerService {
    private dropDownService;
    private service;
    constructor(dropDownService: SmzFormsDropdownService, service: SmzFormsVisibilityService);
    getValidators(control: SmzControlTypes): Validators;
    getValidatorsMessages(control: SmzControlTypes): ValidationMessage[];
    private checkValidatorPreset;
    setupTemplate(dataTemplate: SmzTemplate, configTemplate: SmzTemplate): SmzTemplate;
    setupGlobalStyles(): void;
    setupDropdownServices(input: SmzDropDownControl<any>, form: SmzForm<any>): void;
    setupLinkedDropdownServices(input: SmzLinkedDropDownControl<any>, form: SmzForm<any>): void;
    setupVisibilityServices(inputData: SmzControlTypes, form: SmzForm<any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmzFormsManagerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmzFormsManagerService>;
}
